function _tagChannel()
{
	this.CatalogID=0;
	this.ChannelID=0;	
	this.Name="";
	this.HjID=0;
}

var nDefalutHeight = 0;
var activeSkinId = -1;
var timerId = 0;
var doubleClickInterval = 300;

var chCurrent = new  _tagChannel(); //当前正在播放的Channel
var chShow = new _tagChannel();		//当前显示的Channel
var chSelect = new _tagChannel();	//当前选择的Channel

var isCurrentPos = true;			//当前位置Current的位置
var isCurrentAsPreview = true; //开始的时候没有正在播放的节目，显示Preview的内容当做Current来显示

function GetType(hjTypeId)
{
	var type = "none";
	if (hjTypeId == 0)
	{
		type = "movie";
	}
	else if (hjTypeId == 1)
	{
		type = "tv";
	}
	else if (hjTypeId == 2)
	{
		type = "show";
	}
	return type;	
}
function GotoUrl(ie, clid, chid,citycode,hjid)
{
	if(hjid!=0)chid=hjid;
	var url = "http://client-mini.pplive.cn/overlay/" + citycode + "/" + clid + "/" + chid;
	var urlLocal ="data\\local\\page2.html";
	ie.SetUrl(url,urlLocal);
	return;
}

function windowOnload()
{
	window.localskin="";
	window.localchannel=0;

	activeSkinId = getActiveSkinId();
	if(activeSkinId == "1" || activeSkinId == "2")
	{
		$("winContent").backgroundColor = "#191919";
	}
	else
	{
		$("winContent").backgroundColor = "#00182C";
	}
	window.GetShowChannel=function()
	{
		return chShow;
	}
	window.OnCityCodeChange=function(citycode)
	{
		if(chShow.ChannelID!=0)
		GotoUrl($("hoverInfoBrowser"),chShow.CatalogID, chShow.ChannelID,citycode,chShow.HjID);
	}
	window.SetChannel = function(ch)
	{
		//走马灯滚动一下
		var MainFrame = Components.GetObject("mframe");
		if(MainFrame)MainFrame.RollGallop();
		//走马灯滚动一下
		var Gallop = Components.GetObject("@pplive.com/gallop;1");
		if(Gallop)Gallop.ScrollNext();
		
		//没有channelid,直接返回
		var chid = ch.ID;
		if(chid==0 || typeof(chid)=="undefined") return;
		
		chSelect.CatalogID = ch.CatalogID;
		chSelect.ChannelID = ch.ID;
		chSelect.Name = ch.Name;
		chSelect.HjID = ch.parentID;
			
		if(!window.visible)
		{
			window.SetHoverDefaultPos();
			window.visible = true;
		}

		if(typeof(chSelect.CatalogID)=="undefined")chSelect.CatalogID=0;
		if(typeof(chSelect.ChannelID)=="undefined")chSelect.ChannelID=0;
		if(typeof(chSelect.Name)=="undefined")chSelect.Name="";
		if(typeof(chSelect.HjID)=="undefined")chSelect.HjID=0;

		if(isCurrentAsPreview)
		{
			//没有当前播放的节目，所以把预览显示为当前，不显示下箭头
			ShowCurrent();
			$("chname").value = chSelect.Name;
			return;
		}
	
		if(chCurrent.CatalogID==chSelect.CatalogID && chCurrent.ChannelID==chSelect.ChannelID)
		{
			//如果当前播放和当前选中一样，就显示当前页面，不显示下箭头
			ShowCurrent();
			return;
		}
		if((chSelect.HjID!=0 && chSelect.HjID==chCurrent.ChannelID) || (chSelect.ChannelID!=0 && chCurrent.HjID==chSelect.ChannelID) || (chSelect.HjID!=0 && chCurrent.HjID==chSelect.HjID))
		{
			ShowCurrent();
			return;
		}
		timerId = window.setTimeout("ShowPreview()",doubleClickInterval);
		
	};

	window.SetCurrentChannel = function(clid,chid,name,hjid)
	{
		if(chid==0) return;
		if(!window.visible)
		{
			var parent = window.parent;
			window.SetHoverDefaultPos();
			if(!parent.tidyMode && !EwaIsFullScreen() && parent.sizemode != IDOMWindow.SizeMode_Minimized)window.visible = true;
		}
		isCurrentAsPreview = false;

		window.clearTimeout(timerId);

		chSelect.CatalogID = clid;
		chSelect.ChannelID = chid;
		chSelect.Name = name;
		chSelect.HjID = hjid;

		ShowCurrent();
		$("chname").value = chSelect.Name;

		chCurrent.Name = chSelect.Name;
		chCurrent.CatalogID=chSelect.CatalogID;
		chCurrent.ChannelID=chSelect.ChannelID;
		chCurrent.HjID = chSelect.HjID;
	};
	window.OnPlayerStateChange = function(state)
	{
		if(state==IPlayerState.pppBuffering)
			$("chname").value = "正在缓冲:" +  chCurrent.Name;
		else if(state==IPlayerState.pppReady)
			$("chname").value = "正在缓冲:" +  chCurrent.Name;
		else if(state==IPlayerState.pppPlay)
			$("chname").value = "正在播放:" +  chCurrent.Name;
		else if(state==IPlayerState.pppPause)
			$("chname").value = "已暂停:" +  chCurrent.Name;
		else if(state==IPlayerState.pppStop)
			$("chname").value = "已停止:" +  chCurrent.Name;
		else if(state==IPlayerState.pppMediaEnd)
			$("chname").value = "已结束:" +  chCurrent.Name;
	};
	window.SetHoverDefaultPos=function()
	{
		var parent = window.parent;
		if (parent)
		{
			var isChannelLeft = parent.channelIsLeft();
			var isMaxisize = (parent.sizemode == IDOMWindow.SizeMode_Maximized);
			var isMinisize = (parent.sizemode == IDOMWindow.SizeMode_Minimized);
			if(isMinisize)
			{
				window.visible = false;
			}
			if(!isChannelLeft)
			{
				if(!isMaxisize)
				{
					window.moveSizeTo(parent.screenLeft + parent.outerWidth, parent.screenTop, 230, nDefalutHeight);
				}
				else
				{
					window.moveSizeTo(parent.screenLeft +parent.$("playerContainer").width-230 +2,parent.screenTop+parent.$("mainSubWindow").top, 230, nDefalutHeight);
				}
			}
			else if(isChannelLeft)
			{
				if(!isMaxisize)
				{
					window.moveSizeTo(parent.screenLeft -230, parent.screenTop, 230, nDefalutHeight);
				}
				else
				{
					var channelWidth = 0;
					if (parent.$("channelContainer").visible)channelWidth = parent.$("channelContainer").width - 4;
					window.moveSizeTo(2 + 38 + 1 + parent.screenLeft +channelWidth + 4,parent.screenTop+parent.$("mainSubWindow").top, 230, nDefalutHeight);
				}
			}
		}
	};
	nDefalutHeight=GetDefaultHeight();
// 皮肤支持
	window.onskinchanged = function()
	{
		activeSkinId = getActiveSkinId();
		if(activeSkinId == "1" || activeSkinId == "2")
		{
			$("winContent").backgroundColor = "#191919";
		}
		else
		{
			$("winContent").backgroundColor = "#00182C";
		}
	};
}

function GetDefaultHeight()
{
	var screen = window.screen;
	var wndHeight = 540;
	if (screen.width == 1024 && screen.height == 768)
	{
		wndHeight = 540;
	}
	else if (screen.width == 1280 && screen.height == 800)
	{
		wndHeight = 540;
	}
	else if (screen.width == 1280 && screen.height == 1024)
	{
		wndHeight = 540;
	}
	else if (screen.width == 1440 && screen.height == 900)
	{
		wndHeight = 640;
	}
	else if (screen.width > 1440)
	{
		wndHeight = 640;
	}
	return wndHeight;
}

function ShowPreview()
{
	if((chSelect.HjID!=0 && chSelect.HjID==chShow.ChannelID) || (chSelect.ChannelID!=0 && chShow.HjID==chSelect.ChannelID) || (chSelect.HjID!=0 && chShow.HjID==chSelect.HjID))
	{
		TellWebShowSelect();
	}	
	else
	{
		if(chShow.CatalogID!=chSelect.CatalogID || chShow.ChannelID!=chSelect.ChannelID)
		{
			var citycode = "1";
			var channelFactory = Components.GetObject("@pplive.com/ChannelManagerFactory;1");
			if(channelFactory) 
			{ 
				var channelManager = channelFactory.live();
				citycode = channelManager.Citycode;
			}
			GotoUrl($("hoverInfoBrowser"),chSelect.CatalogID, chSelect.ChannelID,citycode,chSelect.HjID);
		}
	}

	chShow.Name = chSelect.Name;
	chShow.CatalogID=chSelect.CatalogID;
	chShow.ChannelID=chSelect.ChannelID;
	chShow.HjID = chSelect.HjID;

	$("btnCurrent").visible = true;
	$("btnPreview").visible = true;
	$("lblPreview").value = chSelect.Name;
	var top = $("btnCurrent").height + $("btnPreview").height;
	var height = $("winContent").height-top;
	if(isCurrentPos)
	{
		$("hoverInfoBrowser").moveSizeTo($("hoverInfoBrowser").left,top,$("hoverInfoBrowser").width,height);
		isCurrentPos=false;
	}
}
function HidePreview()
{
	chSelect.Name=chCurrent.Name;
	chSelect.CatalogID=chCurrent.CatalogID;
	chSelect.ChannelID=chCurrent.ChannelID;
	chSelect.HjID = chCurrent.HjID;
	ShowCurrent();
}
function TellWebShowSelect()
{
	var bTell = false;
	if(window.TellWebShow)
	{
		try
		{
			window.TellWebShow(chSelect.CatalogID,chSelect.ChannelID,chSelect.HjID);
			bTell = true;
		}
		catch(e)
		{
			bTell = false;
		}
		
	}
	if(!bTell)
	{
		var citycode = "1";
		var channelFactory = Components.GetObject("@pplive.com/ChannelManagerFactory;1");
		if(channelFactory) 
		{ 
			var channelManager = channelFactory.live();
			citycode = channelManager.Citycode;
		}
		GotoUrl($("hoverInfoBrowser"),chSelect.CatalogID, chSelect.ChannelID,citycode,chSelect.HjID);			
	}		
}
function ShowCurrent()
{
	if((chSelect.HjID!=0 && chSelect.HjID==chShow.ChannelID) || (chSelect.ChannelID!=0 && chShow.HjID==chSelect.ChannelID) || (chSelect.HjID!=0 && chShow.HjID==chSelect.HjID))
	{
		TellWebShowSelect();
	}	
	else
	{
		if(chShow.CatalogID!=chSelect.CatalogID || chShow.ChannelID!=chSelect.ChannelID)
		{
			var citycode = "1";
			var channelFactory = Components.GetObject("@pplive.com/ChannelManagerFactory;1");
			if(channelFactory) 
			{ 
				var channelManager = channelFactory.live();
				citycode = channelManager.Citycode;
			}
			GotoUrl($("hoverInfoBrowser"),chSelect.CatalogID, chSelect.ChannelID,citycode,chSelect.HjID);
		}
	}
	chShow.Name = chSelect.Name;
	chShow.CatalogID=chSelect.CatalogID;
	chShow.ChannelID=chSelect.ChannelID;
	chShow.HjID = chSelect.HjID;

	$("btnCurrent").visible = false;
	$("btnPreview").visible = false;

	if(!isCurrentPos)
	{
		var top = 0;
		var height = $("winContent").height-top;
		$("hoverInfoBrowser").visible =false;
		$("hoverInfoBrowser").moveSizeTo($("hoverInfoBrowser").left,top,$("hoverInfoBrowser").width,height);
		$("hoverInfoBrowser").visible =true;
		isCurrentPos = true;
	}
	timerId = 0;
}

// SIG // Begin signature block
// SIG // MIIVVgYJKoZIhvcNAQcCoIIVRzCCFUMCAQExCzAJBgUr
// SIG // DgMCGgUAMGcGCisGAQQBgjcCAQSgWTBXMDIGCisGAQQB
// SIG // gjcCAR4wJAIBAQQQEODJBs441BGiowAQS9NQkAIBAAIB
// SIG // AAIBAAIBAAIBADAhMAkGBSsOAwIaBQAEFJ/mVDSnFb5J
// SIG // SfDX2nmxrSD4NOVyoIIRWzCCA3owggJioAMCAQICEDgl
// SIG // 1/r4Ya+e9JDnJrXWWtUwDQYJKoZIhvcNAQEFBQAwUzEL
// SIG // MAkGA1UEBhMCVVMxFzAVBgNVBAoTDlZlcmlTaWduLCBJ
// SIG // bmMuMSswKQYDVQQDEyJWZXJpU2lnbiBUaW1lIFN0YW1w
// SIG // aW5nIFNlcnZpY2VzIENBMB4XDTA3MDYxNTAwMDAwMFoX
// SIG // DTEyMDYxNDIzNTk1OVowXDELMAkGA1UEBhMCVVMxFzAV
// SIG // BgNVBAoTDlZlcmlTaWduLCBJbmMuMTQwMgYDVQQDEytW
// SIG // ZXJpU2lnbiBUaW1lIFN0YW1waW5nIFNlcnZpY2VzIFNp
// SIG // Z25lciAtIEcyMIGfMA0GCSqGSIb3DQEBAQUAA4GNADCB
// SIG // iQKBgQDEtfJSFbyIhmApFkpbL0uRa4eR8zVUWDXq0TZe
// SIG // Yk1SUTRxwntmHYnI3SrEagr2N9mYdJH2kq6wtXaW8alK
// SIG // Y0VHLmsLkk5LK4zuWEqL1AfkGiz4gqpY2c1C8y3Add6N
// SIG // q8eOHZpsTAiVHt7b72fhcsJJwp5gPOHivhajY3hpFHut
// SIG // LQIDAQABo4HEMIHBMDQGCCsGAQUFBwEBBCgwJjAkBggr
// SIG // BgEFBQcwAYYYaHR0cDovL29jc3AudmVyaXNpZ24uY29t
// SIG // MAwGA1UdEwEB/wQCMAAwMwYDVR0fBCwwKjAooCagJIYi
// SIG // aHR0cDovL2NybC52ZXJpc2lnbi5jb20vdHNzLWNhLmNy
// SIG // bDAWBgNVHSUBAf8EDDAKBggrBgEFBQcDCDAOBgNVHQ8B
// SIG // Af8EBAMCBsAwHgYDVR0RBBcwFaQTMBExDzANBgNVBAMT
// SIG // BlRTQTEtMjANBgkqhkiG9w0BAQUFAAOCAQEAUMVLyCSA
// SIG // 3+QNJMLeGrGhAqGmgi0MgxWBNwqCDiywWhdhtdgF/ojb
// SIG // 8ZGRs1YaQKbrkr44ObB1NnQ6mE/kN7qZicqVQh2wuceg
// SIG // jVfg+tVkBEI1TgHRM6IXyE2qJ8fy4YZMAjhNg3jG/FPg
// SIG // 6+AGh92klp5eDJjipb6/goXDYOHfrSjYx6VLZNrHG1u9
// SIG // rDkI1TgioTOLL4qa67wHIT9EQQkHtWUcJLxI00SA66HP
// SIG // yQK0FM9UxxajgFz5eT5dcn2IF54sQ6LKU859PfYqOrhP
// SIG // lAClbQqDXfleU/QYs1cPcMP79a2VoA4X3sQWgGDJDytu
// SIG // hgTx6/R4J9EFxe40W165STLyMzCCA8QwggMtoAMCAQIC
// SIG // EEe/GZXfjVJGQ/fbbUgNMaQwDQYJKoZIhvcNAQEFBQAw
// SIG // gYsxCzAJBgNVBAYTAlpBMRUwEwYDVQQIEwxXZXN0ZXJu
// SIG // IENhcGUxFDASBgNVBAcTC0R1cmJhbnZpbGxlMQ8wDQYD
// SIG // VQQKEwZUaGF3dGUxHTAbBgNVBAsTFFRoYXd0ZSBDZXJ0
// SIG // aWZpY2F0aW9uMR8wHQYDVQQDExZUaGF3dGUgVGltZXN0
// SIG // YW1waW5nIENBMB4XDTAzMTIwNDAwMDAwMFoXDTEzMTIw
// SIG // MzIzNTk1OVowUzELMAkGA1UEBhMCVVMxFzAVBgNVBAoT
// SIG // DlZlcmlTaWduLCBJbmMuMSswKQYDVQQDEyJWZXJpU2ln
// SIG // biBUaW1lIFN0YW1waW5nIFNlcnZpY2VzIENBMIIBIjAN
// SIG // BgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAqcqypMzN
// SIG // IK8KfYmsh3XwtE7x38EPv2dhvaNkHNq7+cozq4QwiVh+
// SIG // jNtr3TaeD7/R7Hjyd6Z+bzy/k68Numj0bJTKvVItq0g9
// SIG // 9bbVXV8bAp/6L2sepPejmqYayALhf0xS4w5g7EAcfrkN
// SIG // 3j/HtN+HvV96ajEuA5mBE6hHIM4xcw1XLc14NDOVEpkS
// SIG // ud5oL6rm48KKjCrDiyGHZr2DWFdvdb88qiaHXcoQFTyf
// SIG // hOpUwQpuxP7FSt25BxGXInzbPifRHnjsnzHJ8eYiGdvE
// SIG // s0dDmhpfoB6Q5F717nzxfatiAY/1TQve0CJWqJXNroh2
// SIG // ru66DfPkTdmg+2igrhQ7s4fBuwIDAQABo4HbMIHYMDQG
// SIG // CCsGAQUFBwEBBCgwJjAkBggrBgEFBQcwAYYYaHR0cDov
// SIG // L29jc3AudmVyaXNpZ24uY29tMBIGA1UdEwEB/wQIMAYB
// SIG // Af8CAQAwQQYDVR0fBDowODA2oDSgMoYwaHR0cDovL2Ny
// SIG // bC52ZXJpc2lnbi5jb20vVGhhd3RlVGltZXN0YW1waW5n
// SIG // Q0EuY3JsMBMGA1UdJQQMMAoGCCsGAQUFBwMIMA4GA1Ud
// SIG // DwEB/wQEAwIBBjAkBgNVHREEHTAbpBkwFzEVMBMGA1UE
// SIG // AxMMVFNBMjA0OC0xLTUzMA0GCSqGSIb3DQEBBQUAA4GB
// SIG // AEpr+epYwkQcMYl5mSuWv4KsAdYcTM2wilhu3wgpo17I
// SIG // ypMT5wRSDe9HJy8AOLDkyZNOmtQiYhX3PzchT3AxgPGL
// SIG // OIez6OiXAP7PVZZOJNKpJ056rrdhQfMqzufJ2V7duyuF
// SIG // PrWdtdnhV/++tMV+9c8MnvCX/ivTO1IbGzgn9z9KMIIE
// SIG // /DCCBGWgAwIBAgIQZVIm4bIuGOFZDymFrCLnXDANBgkq
// SIG // hkiG9w0BAQUFADBfMQswCQYDVQQGEwJVUzEXMBUGA1UE
// SIG // ChMOVmVyaVNpZ24sIEluYy4xNzA1BgNVBAsTLkNsYXNz
// SIG // IDMgUHVibGljIFByaW1hcnkgQ2VydGlmaWNhdGlvbiBB
// SIG // dXRob3JpdHkwHhcNMDkwNTIxMDAwMDAwWhcNMTkwNTIw
// SIG // MjM1OTU5WjCBtjELMAkGA1UEBhMCVVMxFzAVBgNVBAoT
// SIG // DlZlcmlTaWduLCBJbmMuMR8wHQYDVQQLExZWZXJpU2ln
// SIG // biBUcnVzdCBOZXR3b3JrMTswOQYDVQQLEzJUZXJtcyBv
// SIG // ZiB1c2UgYXQgaHR0cHM6Ly93d3cudmVyaXNpZ24uY29t
// SIG // L3JwYSAoYykwOTEwMC4GA1UEAxMnVmVyaVNpZ24gQ2xh
// SIG // c3MgMyBDb2RlIFNpZ25pbmcgMjAwOS0yIENBMIIBIjAN
// SIG // BgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAvmcdtGCq
// SIG // EElvVhd8Zslehg3V8ayncYOOi4n4iASJFQa6LYQhleTR
// SIG // nFBM+9IivdrysjU7Ho/DCfv8Ey5av4l8PTslHvbzWHuc
// SIG // 9AG1xgq4gM6+J3RhZydNauXsgWFYeaPgFxASFSew4U00
// SIG // fytHIES53mYkZorNT7ofxTjIVJDhcvYZZnVquUlozzh5
// SIG // DaowqNssYEie16oUAamD1ziRMDkTlgM6fEBUtq3gLxuD
// SIG // 3KgRUj4Cs9cr/SG2p1yjDwupphBQDjQuTafOyV4l1Iy8
// SIG // 8258KbwBXfwxh1rVjIVnWIgZoL818OoroyHnkPaD5ajt
// SIG // YHhee2CD/VcLXUENY1Rg1kMh7wIDAQABo4IB2zCCAdcw
// SIG // EgYDVR0TAQH/BAgwBgEB/wIBADBwBgNVHSAEaTBnMGUG
// SIG // C2CGSAGG+EUBBxcDMFYwKAYIKwYBBQUHAgEWHGh0dHBz
// SIG // Oi8vd3d3LnZlcmlzaWduLmNvbS9jcHMwKgYIKwYBBQUH
// SIG // AgIwHhocaHR0cHM6Ly93d3cudmVyaXNpZ24uY29tL3Jw
// SIG // YTAOBgNVHQ8BAf8EBAMCAQYwbQYIKwYBBQUHAQwEYTBf
// SIG // oV2gWzBZMFcwVRYJaW1hZ2UvZ2lmMCEwHzAHBgUrDgMC
// SIG // GgQUj+XTGoasjY5rw8+AatRIGCx7GS4wJRYjaHR0cDov
// SIG // L2xvZ28udmVyaXNpZ24uY29tL3ZzbG9nby5naWYwHQYD
// SIG // VR0lBBYwFAYIKwYBBQUHAwIGCCsGAQUFBwMDMDQGCCsG
// SIG // AQUFBwEBBCgwJjAkBggrBgEFBQcwAYYYaHR0cDovL29j
// SIG // c3AudmVyaXNpZ24uY29tMDEGA1UdHwQqMCgwJqAkoCKG
// SIG // IGh0dHA6Ly9jcmwudmVyaXNpZ24uY29tL3BjYTMuY3Js
// SIG // MCkGA1UdEQQiMCCkHjAcMRowGAYDVQQDExFDbGFzczND
// SIG // QTIwNDgtMS01NTAdBgNVHQ4EFgQUl9BrqCZwyKE/lB8I
// SIG // LcQ1m6ShHvIwDQYJKoZIhvcNAQEFBQADgYEAiwPA3ZTY
// SIG // QaJhabAVqHjHMMaQPH5C9yS25INzFwR/BBCcoeL6gS/r
// SIG // wMpE53LgULZVECCDbpaS5JpRarQ3MdylLeuMAMcdT+dN
// SIG // MrqF+E6++mdVZfBqvnrKZDgaEBB4RXYx84Z6Aw9gwrNd
// SIG // nfaLZnaCG1nhg+W9SaU4VuXeQXcOWA8wggURMIID+aAD
// SIG // AgECAhBtUn9NfWwaK6fvgdUMiddlMA0GCSqGSIb3DQEB
// SIG // BQUAMIG2MQswCQYDVQQGEwJVUzEXMBUGA1UEChMOVmVy
// SIG // aVNpZ24sIEluYy4xHzAdBgNVBAsTFlZlcmlTaWduIFRy
// SIG // dXN0IE5ldHdvcmsxOzA5BgNVBAsTMlRlcm1zIG9mIHVz
// SIG // ZSBhdCBodHRwczovL3d3dy52ZXJpc2lnbi5jb20vcnBh
// SIG // IChjKTA5MTAwLgYDVQQDEydWZXJpU2lnbiBDbGFzcyAz
// SIG // IENvZGUgU2lnbmluZyAyMDA5LTIgQ0EwHhcNMDkxMTE5
// SIG // MDAwMDAwWhcNMTIxMTE4MjM1OTU5WjCBzjELMAkGA1UE
// SIG // BhMCQ04xETAPBgNVBAgTCFNoYW5naGFpMREwDwYDVQQH
// SIG // EwhTaGFuZ2hhaTEbMBkGA1UEChQSUFBMaXZlIENvcnBv
// SIG // cmF0aW9uMT4wPAYDVQQLEzVEaWdpdGFsIElEIENsYXNz
// SIG // IDMgLSBNaWNyb3NvZnQgU29mdHdhcmUgVmFsaWRhdGlv
// SIG // biB2MjEfMB0GA1UECxQWUHJvZHVjdCBQbGFubmluZyBE
// SIG // ZXB0LjEbMBkGA1UEAxQSUFBMaXZlIENvcnBvcmF0aW9u
// SIG // MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQDY7Kff
// SIG // TNpvjGy6zGck0u1/S+B50zuxRF0HrIlPfcpSGmsQyfzm
// SIG // b2eigTz0KuN+palZSdpx0amg9gD+ANFSNo9uqfk1PLeP
// SIG // V7187RIh4taAGUnYROqkPr9kVAsU/SepgjYLVAU46+Bu
// SIG // FtDmCaenpb6rqE+0Y6AV50Rc3iBA0rHvawIDAQABo4IB
// SIG // gzCCAX8wCQYDVR0TBAIwADAOBgNVHQ8BAf8EBAMCB4Aw
// SIG // RAYDVR0fBD0wOzA5oDegNYYzaHR0cDovL2NzYzMtMjAw
// SIG // OS0yLWNybC52ZXJpc2lnbi5jb20vQ1NDMy0yMDA5LTIu
// SIG // Y3JsMEQGA1UdIAQ9MDswOQYLYIZIAYb4RQEHFwMwKjAo
// SIG // BggrBgEFBQcCARYcaHR0cHM6Ly93d3cudmVyaXNpZ24u
// SIG // Y29tL3JwYTATBgNVHSUEDDAKBggrBgEFBQcDAzB1Bggr
// SIG // BgEFBQcBAQRpMGcwJAYIKwYBBQUHMAGGGGh0dHA6Ly9v
// SIG // Y3NwLnZlcmlzaWduLmNvbTA/BggrBgEFBQcwAoYzaHR0
// SIG // cDovL2NzYzMtMjAwOS0yLWFpYS52ZXJpc2lnbi5jb20v
// SIG // Q1NDMy0yMDA5LTIuY2VyMB8GA1UdIwQYMBaAFJfQa6gm
// SIG // cMihP5QfCC3ENZukoR7yMBEGCWCGSAGG+EIBAQQEAwIE
// SIG // EDAWBgorBgEEAYI3AgEbBAgwBgEBAAEB/zANBgkqhkiG
// SIG // 9w0BAQUFAAOCAQEAEHyS6zHfeAr7VXV0+4exGGIaodyt
// SIG // snOwewImElZdtDXV0P9r4B6gp1Ej1ZT8Ddco099Xc7NE
// SIG // e7gyfzCQh27Uq6DSVQP0P9zBI2VgwWaOLweplMHFqKrD
// SIG // q0DXzRAsXiYCu15ugktqWBRVhsOCrNFPcYAiEHhMeRJY
// SIG // 1p5pA+TyXSs2X5AyL1zfpaqrDfJKmhspWabkMbjyLWG9
// SIG // jkQv7K4rviPg//9QfzZoYG3cJBMDqLC3KsSFXs6GNzXo
// SIG // 7EDYhzgJFjpalJUV0n7TL+aPFgRY6/lG3UYPZtsRtGBI
// SIG // W2frpPZy0ww0vcTMzXYL+2TGyka40qCWF3XUw14+znhe
// SIG // yMNA5TGCA2cwggNjAgEBMIHLMIG2MQswCQYDVQQGEwJV
// SIG // UzEXMBUGA1UEChMOVmVyaVNpZ24sIEluYy4xHzAdBgNV
// SIG // BAsTFlZlcmlTaWduIFRydXN0IE5ldHdvcmsxOzA5BgNV
// SIG // BAsTMlRlcm1zIG9mIHVzZSBhdCBodHRwczovL3d3dy52
// SIG // ZXJpc2lnbi5jb20vcnBhIChjKTA5MTAwLgYDVQQDEydW
// SIG // ZXJpU2lnbiBDbGFzcyAzIENvZGUgU2lnbmluZyAyMDA5
// SIG // LTIgQ0ECEG1Sf019bBorp++B1QyJ12UwCQYFKw4DAhoF
// SIG // AKBwMBAGCisGAQQBgjcCAQwxAjAAMBkGCSqGSIb3DQEJ
// SIG // AzEMBgorBgEEAYI3AgEEMBwGCisGAQQBgjcCAQsxDjAM
// SIG // BgorBgEEAYI3AgEVMCMGCSqGSIb3DQEJBDEWBBTz2QZ+
// SIG // Qs2E0RA12r8u0/SyG/ycEDANBgkqhkiG9w0BAQEFAASB
// SIG // gE5L0h9v1zoSMP4DC6m24sTHXlVjEdFD8yo9mwlkz9Ox
// SIG // PLyer87p9zxsAVuoqPsilhR9RneH2WCe5vJOPj1tlDWM
// SIG // OdXvlyNlJAcBqos5qeOSZjG//QRaBFIaHOQZhacEvnne
// SIG // IQw5gZIhOjCckiEU6QU3PBcZCZwvRiXs9ciNAZ+6oYIB
// SIG // fzCCAXsGCSqGSIb3DQEJBjGCAWwwggFoAgEBMGcwUzEL
// SIG // MAkGA1UEBhMCVVMxFzAVBgNVBAoTDlZlcmlTaWduLCBJ
// SIG // bmMuMSswKQYDVQQDEyJWZXJpU2lnbiBUaW1lIFN0YW1w
// SIG // aW5nIFNlcnZpY2VzIENBAhA4Jdf6+GGvnvSQ5ya11lrV
// SIG // MAkGBSsOAwIaBQCgXTAYBgkqhkiG9w0BCQMxCwYJKoZI
// SIG // hvcNAQcBMBwGCSqGSIb3DQEJBTEPFw0xMDExMjQxMjM1
// SIG // NDlaMCMGCSqGSIb3DQEJBDEWBBSAUYWYlxRkXzJDDc5O
// SIG // 4FbmRxYx4TANBgkqhkiG9w0BAQEFAASBgCWmouOPNkqY
// SIG // /PwkWBAotSQdYZ1iM0oevMYE/A4PYNIQ5PPypNgM0Kjy
// SIG // 0gZ/nM9SrAb5CwMpGEvHve8aEnl8w71dWYFIWIe6OnuE
// SIG // 2wfR/0QUHSDgGew3fQ6N/3584PCz6UWjoCkLh8klh7EL
// SIG // CW6MG8z1xuMhf1uv6jW0Ocs4mujR
// SIG // End signature block
